%global momorel 1

Summary:	Terminal screen handling and optimization
Name:		perl-Curses
Version:	1.27
Release:	%{momorel}m%{?dist}
License:	GPL
Group:		Development/Languages
Source0:	http://www.cpan.org/modules/by-module/Curses/Curses-%{version}.tgz
NoSource:	0
URL:		http://www.cpan.org/modules/by-module/Curses/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	perl-ExtUtils-MakeMaker
BuildPreReq:	perl >= 1:5.8.1

%description
Curses is the interface between Perl and your system's curses(3) library.
For descriptions on the usage of a given function, variable, or constant,
consult your system's documentation, as such information invariably varies
(:-) between different curses(3) libraries and operating systems. This
document describes the interface itself, and assumes that you already know
how your system's curses(3) library works.

%prep
%setup -q -n Curses-%{version} 

## Set correct path to perl
grep -lr "/usr//bin/perl" * | xargs sed -i 's|/usr//bin/perl|/usr/bin/perl|g'

%build
export CURSES_CFLAGS="-I%{_includedir}/ncurses"
export CURSES_LDFLAGS="-lncurses"
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Artistic Copying demo demo2 demo.form demo.menu demo.panel gdc HISTORY list.syms MAINTENANCE README test.syms
%{perl_vendorarch}/auto/Curses
%{perl_vendorarch}/Curses*
%{_mandir}/man3/*

%changelog
* Mon Feb  9 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.27-1m)
- update to 1.27

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.26-2m)
- rebuild against rpm-4.6

* Wed Jan  7 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.26-1m)
- update to 1.26

* Wed Sep 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.24-1m)
- update to 1.24

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.23-2m)
- rebuild against gcc43

* Mon Mar 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.23-1m)
- update to 1.23

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.21-1m)
- update to 1.21

* Mon Dec  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.20-1m)
- update to 1.20

* Mon Nov 19 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.19-1m)
- update to 1.19

* Mon Oct 15 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.17-1m)
- update to 1.17

* Mon Sep 10 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.16-2m)
- set correct path to perl

* Sun Sep  9 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.16-1m)
- update to 1.16
- do not use %%NoSource macro
- spec file was recreated with cpanspec

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.15-2m)
- use vendor

* Wed Nov  8 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (1.15-1m)
- update to 1.15

* Sat Sep 30 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.14-1m)
- spec file was autogenerated
